Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SRSCL

    java.lang.Object
      org.netlib.lapack.SRSCL

    public class SRSCL

extends java.lang.Object

    SRSCL is a simplified interface to the JLAPACK routine srscl.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SRSCL multiplies an n-element real vector x by the real scalar 1/a.
     *  This is done without overflow or underflow as long as
     *  the final result x/a does not overflow or underflow.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of components of the vector x.
     *
     *  SA      (input) REAL
     *          The scalar a which is used to divide each component of x.
     *          SA must be >= 0, or the subroutine will divide by zero.
     *
     *  SX      (input/output) REAL array, dimension
     *                         (1+(N-1)*abs(INCX))
     *          The n-element vector x.
     *
     *  INCX    (input) INTEGER
     *          The increment between successive values of the vector SX.
     *          > 0:  SX(1) = X(1) and SX(1+(i-1)*INCX) = x(i),     1< i<= n

     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`SRSCL()`

Method Summary
`static void` | `SRSCL(int n, float sa, float[] sx, int incx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SRSCL

    public SRSCL()

Method Detail

### SRSCL

    public static void SRSCL(int n,
                             float sa,
                             float[] sx,
                             int incx)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD